FreeBSD : ntp -- stack-based buffer overflow (4175c811-f690-4898-87c5-755b3cf1bac6)

Medium Nessus Plugin ID 38881


The remote FreeBSD host is missing a security-related update.


US-CERT reports :

ntpd contains a stack-based buffer overflow which may allow a remote unauthenticated attacker to execute arbitrary code on a vulnerable system or create a denial of service.


Update the affected package.

See Also

Plugin Details

Severity: Medium

ID: 38881

File Name: freebsd_pkg_4175c811f690489887c5755b3cf1bac6.nasl

Version: $Revision: 1.13 $

Type: local

Published: 2009/05/26

Modified: 2014/06/05

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.8

Temporal Score: 5

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:ntp, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2009/05/20

Vulnerability Publication Date: 2009/05/06

Reference Information

CVE: CVE-2009-0159, CVE-2009-1252

BID: 35017

CERT: 853097

CWE: 119